package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletServiceDate;

/**
 * 服务日期Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IAppletServiceDateService 
{
    /**
     * 查询服务日期
     * 
     * @param id 服务日期主键
     * @return 服务日期
     */
    public AppletServiceDate selectAppletServiceDateById(Long id);

    /**
     * 查询服务日期列表
     * 
     * @param appletServiceDate 服务日期
     * @return 服务日期集合
     */
    public List<AppletServiceDate> selectAppletServiceDateList(AppletServiceDate appletServiceDate);

    /**
     * 新增服务日期
     * 
     * @param appletServiceDate 服务日期
     * @return 结果
     */
    public int insertAppletServiceDate(AppletServiceDate appletServiceDate);

    /**
     * 修改服务日期
     * 
     * @param appletServiceDate 服务日期
     * @return 结果
     */
    public int updateAppletServiceDate(AppletServiceDate appletServiceDate);

    /**
     * 批量删除服务日期
     * 
     * @param ids 需要删除的服务日期主键集合
     * @return 结果
     */
    public int deleteAppletServiceDateByIds(Long[] ids);

    /**
     * 删除服务日期信息
     * 
     * @param id 服务日期主键
     * @return 结果
     */
    public int deleteAppletServiceDateById(Long id);
}
